---
sidebar_position: 2
description: Upload file and other functions to work with OpenAI in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, OpenAI]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Upload file
 Uploads a file for further use in other requests



`Function UploadFile(Val URL, Val Token, Val FileName, Val Data, Val Destination, Val AdditionalHeaders = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | OpenAI server URL |
  | Token | --token | String | &#x2714; | OpenAI authorization token |
  | FileName | --name | String | &#x2714; | File name with extension |
  | Data | --data | String, BinaryData | &#x2714; | Path to file or data |
  | Destination | --purpose | String | &#x2714; | File purpose: assistants, batch, vision, user_data, evals |
  | AdditionalHeaders | --headers | Map Of KeyAndValue | &#x2716; | Additional request headers, if necessary |

  
  Returns:  Map Of KeyAndValue - Processing result

:::tip
Method at API documentation: [Upload file](https://platform.openai.com/docs/api-reference/files/create)

Parameters with Binary data type can also accept file paths on disk and URLs
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL   = "https://hut.openintegrations.dev/localai/";
    Token = "12We...";

    File = "https://hut.openintegrations.dev/test_data/picture.jpg"; // URL, Path or Binary Data

    FileName    = StrTemplate("%1.png", String(New UUID()));
    Destination = "assistants";

    Result = OPI_OpenAI.UploadFile(URL, Token, FileName, File, Destination);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint openai UploadFile \
             --url "https://hut.openintegrations.dev/localai/" \
             --token "***" \
             --name "a9f046c2-2403-46ae-af3c-de688d8c5722.png" \
             --data "https://hut.openintegrations.dev/test_data/picture.jpg" \
             --purpose "assistants"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint openai UploadFile ^
             --url "https://hut.openintegrations.dev/localai/" ^
             --token "***" ^
             --name "a9f046c2-2403-46ae-af3c-de688d8c5722.png" ^
             --data "https://hut.openintegrations.dev/test_data/picture.jpg" ^
             --purpose "assistants"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "id": "file-12",
 "object": "file",
 "bytes": 2114025,
 "created_at": "2025-09-16T00:27:13.526537069Z",
 "filename": "4ab5d04d-4296-4572-a912-f2334a88a5c9.png",
 "purpose": "assistants"
}
```
